<?php

App::uses('AppModel', 'Model');

/**
 * BuzzSourceAppModel extended by API models from individual plugins.
 */
class BuzzSourceAppModel extends AppModel {

	public $useTable = false;

/**
 * The name of the DataSource connection that this Model uses (this is set in
 * the constructor so that we can use the app's config from bootstrap).
 *
 * @var string
 */
	public $useDbConfig = null;

	public function __construct($id = false, $table = null, $ds = null) {
		$this->useDbConfig = Configure::read('api.default');
		parent::__construct($id, $table, $ds);
	}

/**
 * Returns a date in the European format to the SQL format.
 *
 * @param string $date European date format (e.g. 30/6/2015)
 * @return string SQL format date (e.g. 2015-06-30)
 */
	public static function dateToSqlFormat($date) {
		if (preg_match('|(\d{1,2})[/-](\d{1,2})[/-](\d{4})|', $date, $parts) === 1) {
			return $parts[3] . '-' . str_pad($parts[2], 2, '0', STR_PAD_LEFT) . '-' . str_pad($parts[1], 2, '0', STR_PAD_LEFT);
		}
		return null;
	}

}
